Bug 962405 - [ja_JP] [ALL_LANG] still unlocalized strings in the Edit Console dialog
[ja_JP] [ALL_LANG] still unlocalized strings in the Edit Console dialog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.2.0
Unspecified Linux
high Severity unspecified
: ---
: 3.3.0
Assigned To: Frantisek Kobzik
Yuko Katabami
virt
: CodeChange, i18n
Depends On: 951029
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 07:37 EDT by Einav Cohen
Modified: 2016-01-28 16:57 EST (History)
11 users (show)

See Also:
Fixed In Version: is10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 951029
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 13953 None None None Never
oVirt gerrit 14229 None None None Never
oVirt gerrit 14895 None None None Never
oVirt gerrit 15257 None None None Never

  None (edit)
Description Einav Cohen 2013-05-13 07:37:06 EDT
+++ This bug was initially created as a clone of Bug #951029 +++

there are some unlocalized strings in the Edit Console dialog in the following screen-shot in rhev-3.2, sf16:

attachment 747161 [details]
Comment 1 Einav Cohen 2013-05-13 07:38:39 EDT
[translations for the to-be-localized strings will be tracked via bug 951029]
Comment 2 Frantisek Kobzik 2013-07-29 06:21:15 EDT
But these strings are translation-ready - I added them to /frontend/webadmin/modules/gwt-common/src/main/java/org/ovirt/engine/ui/common/CommonApplicationConstants.java class that should be localized. 

The corresponding methods are:
 - auto()
 - nativeClient()
 - browserPlugin()
 - (new) spiceHtml5()
 - and rdpNotAvailable().

What could be wrong with this?
Comment 3 Einav Cohen 2013-07-30 05:13:02 EDT
Hi Frantisek, 

see comment #7 in the original bug (bug 951029): when tested in rhev-3.2, the options were not translated, as can be seen in the screen shot in attachment 747161 [details].

It seems that the downstream patch that added the relevant options to the dialog [https://gerrit.eng.lab.tlv.redhat.com/#/c/7873/] was merged after rhev-3.2 string freeze, therefore hasn't had a chance to be translated (patch was merged in May, string freeze was at the end of April).

So you can simply move this BZ to MODIFIED, and add to the External Tracker the relevant oVirt gerrit IDs (I guess these are "13953", "14895", probably an additional one for "spiceHtml5" and "rdpNotAvailable").

[I am marking this BZ as CodeChange, as this cannot really be verified; verification for the originally-reported issue will be done in the context of the 'i18n' bug (bug 951029)]

Please 'needinfo' me again if you have any additional questions. 

Thanks.
Comment 4 Einav Cohen 2013-08-22 14:33:42 EDT
this is a code change -> moving to VERIFIED.
Comment 5 Itamar Heim 2014-01-21 17:22:56 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:24:02 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:27:49 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.